<div class="container-footer">
  <!-- Other footer content here -->
  <nav aria-label="Page navigation">
    <ul class="pagination justify-content-center">
      <li class="page-item">
        <button th:onclick="onClickPrevPage(event, [[${totalPages}]])" class="page-link">Previous</button>
      </li>
      <li th:each="i: ${#numbers.sequence(1, totalPages)}" class="page-item" th:classappend="${i == 1} ? active" aria-current="page">
        <button th:id="'page-'+${i}" th:onclick="onClickPage(event)" class="page-link" th:text="${i}">1</button>
      </li>
        <button th:onclick="onClickNextPage(event, [[${totalPages}]])" class="page-link">Next</button>
      </li>
    </ul>
  </nav>
</div>